%define anolis_release 3
%bcond_without tests
%global pypi_name mako

Name:           python-%{pypi_name}
Version:        1.2.4
Release:        %{anolis_release}%{?dist}
BuildArch:      noarch
License:        MIT and Python
Summary:        Mako Templates for Python
URL:            http://www.makotemplates.org/
Source0:        https://github.com/sqlalchemy/%{pypi_name}/archive/rel_%(echo %{version} | sed "s/\./_/g").tar.gz

BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-markupsafe 
BuildRequires:  pyproject-rpm-macros
%if %{with tests}
BuildRequires: python%{python3_pkgversion}-pytest
%endif

%description
Mako is a template library written in Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's
syntax and API borrows from the best ideas of many others, including Django
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
Python (i.e. Python Server Page) language, which refines the familiar ideas of
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python
calling and scoping semantics.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Mako Templates for Python

Recommends:     python%{python3_pkgversion}-beaker
Obsoletes:      python2-%{pypi_name} < 1.1.0-3
Obsoletes:      python-%{pypi_name}-doc < 1.1.4-6

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
Mako is a template library written in Python. It provides a familiar, non-XML\
syntax which compiles into Python modules for maximum performance. Mako's\
syntax and API borrows from the best ideas of many others, including Django\
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded\
Python (i.e. Python Server Page) language, which refines the familiar ideas of\
componentized layout and inheritance to produce one of the most straightforward\
and flexible models available, while also maintaining close ties to Python\
calling and scoping semantics.

This package contains the %{pypi_name} module built for use with python%{python3_pkgversion}.

%package -n python%{python3_pkgversion}-%{pypi_name}-doc
Summary:        Documentation files for python%{python3_pkgversion}-%{pypi_name}
Requires:       python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}
BuildArch:      noarch

%description -n python%{python3_pkgversion}-%{pypi_name}-doc
The python%{python3_pkgversion}-%{pypi_name}-doc package contains documentation files for python%{python3_pkgversion}-%{pypi_name}.

%prep
%autosetup -p1 -n %{pypi_name}-rel_%(echo %{version} | sed "s/\./_/g")
sed -i '/tag_build = dev/d' setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

mv %{buildroot}/%{_bindir}/%{pypi_name}-render %{buildroot}/%{_bindir}/%{pypi_name}-render-%{python3_version}
ln -s ./%{pypi_name}-render-%{python3_version} %{buildroot}/%{_bindir}/%{pypi_name}-render-%{python3_pkgversion}
ln -s ./%{pypi_name}-render-%{python3_version} %{buildroot}/%{_bindir}/%{pypi_name}-render

%generate_compatibility_deps

%if %{with tests}
%check
%pytest
%endif

%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%{_bindir}/%{pypi_name}-render
%{_bindir}/%{pypi_name}-render-%{python3_pkgversion}
%{_bindir}/%{pypi_name}-render-%{python3_version}

%files -n python%{python3_pkgversion}-%{pypi_name}-doc
%doc AUTHORS CHANGES README.rst
%doc examples

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.2.4-3
- Rebuild with python3.11

* Sun Apr 09 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 1.2.4-2
- Optimize the spec file

* Tue Jan 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.4-1
- update to version 1.2.4

* Tue Jul 12 2022 happy_orange <songnannan@linux.alibaba.com> - 1.1.4-1
- Init pcakage from upstream
